## imcode.server.user
Class UserAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              imcode.server.user.UserAndRoleRegistryException
                  imcode.server.user.UserAlreadyExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class UserAlreadyExistsException

extends UserAndRoleRegistryException

See Also:
  Serialized Form

Constructor Summary
`UserAlreadyExistsException(java.lang.String message)`
`UserAlreadyExistsException(java.lang.Throwable e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserAlreadyExistsException

    public UserAlreadyExistsException(java.lang.Throwable e)

### UserAlreadyExistsException

    public UserAlreadyExistsException(java.lang.String message)